// 生成新数据相关
import request from '@/utils/request'

export function genData(data) {
  return request({
    url: '/xyqb/gen/data',
    method: 'post',
    data
  })
}

export function queryUserStatus(queryInfo) {
  return request({
    url: '/xyqb/gen/userStatus',
    method: 'get',
    params: queryInfo
  })
}

export function getSupportChannelAndFund() {
  return request({
    url: '/xyqb/gen/supportChannelAndFund',
    method: 'get'
  })
}

export function channelMappedFund(queryInfo) {
  return request({
    url: '/xyqb/gen/channelMappedFund',
    method: 'get',
    params: queryInfo
  })
}

export function fundMappedChannel(queryInfo) {
  return request({
    url: '/xyqb/gen/fundMappedChannel',
    method: 'get',
    params: queryInfo
  })
}
